Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.custom
Class RootReturn

    java.lang.Object
      org.hibernate.loader.custom.NonScalarReturn
          org.hibernate.loader.custom.RootReturn

All Implemented Interfaces:
  Return

    public class RootReturn

extends NonScalarReturn

Represents a return which names a "root" entity.

A root entity means it is explicitly a "column" in the result, as opposed to a fetched association.

Constructor Summary
`RootReturn(String alias, String entityName, EntityAliases entityAliases, LockMode lockMode)`

Method Summary
`EntityAliases` | `getEntityAliases()`
`String` | `getEntityName()`

Methods inherited from class org.hibernate.loader.custom.NonScalarReturn
`getAlias, getLockMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootReturn

    public RootReturn(String alias,
                      String entityName,
                      EntityAliases entityAliases,
                      LockMode lockMode)

Method Detail

### getEntityName

    public String getEntityName()

### getEntityAliases

    public EntityAliases getEntityAliases()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.